function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import CustomFormField from './CustomFormField';
const CustomFormFieldCheckboxes = ({
  options,
  onChange,
  value,
  ...props
}) => {
  const handleChange = (optionValue, checked) => {
    if (checked) {
      onChange([...value, optionValue]);
    } else {
      const copy = [...value];
      const index = copy.findIndex(v => v === optionValue);
      copy.splice(index, 1);
      onChange(copy);
    }
  };
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "checkboxes inline"
  }, props), options.map((option, key) => /*#__PURE__*/React.createElement(CustomFormField, {
    key: key,
    type: "checkbox",
    label: option.label,
    onChange: checked => handleChange(option.value, checked),
    value: value.includes(option.value)
  })));
};
export default CustomFormFieldCheckboxes;