import React, { useContext } from 'react';
import Confirm, { ConfirmContext, initConfirm } from './Confirm';
export const useConfirmContext = () => useContext(ConfirmContext);
const ConfirmContextProvider = ({
  children
}) => {
  const contextValue = initConfirm();
  return /*#__PURE__*/React.createElement(ConfirmContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/React.createElement(Confirm, null), children);
};
export default ConfirmContextProvider;