import React from 'react';
import Alert from './Alert';
import { useAlertsContext } from './AlertsContextProvider';
const Alerts = ({
  ...args
}) => {
  const {
    alerts
  } = useAlertsContext();
  return /*#__PURE__*/React.createElement("div", {
    className: "alerts-container"
  }, alerts.map((alert, key) => /*#__PURE__*/React.createElement(Alert, {
    key: key,
    alert: alert
  })));
};
export default Alerts;