import React, { useEffect } from 'react';
import Modal from 'react-bootstrap/Modal';
const CustomModal = ({
  show = false,
  title = '',
  content = '',
  onValidate = () => {},
  setShow = () => {},
  validateLabel = 'Enregistrer',
  cancelLabel = 'Annuler',
  validateDisabled = false,
  hideCancel = false,
  width = ''
}) => {
  useEffect(() => {}, []);
  const cancel = () => {
    setShow(false);
  };
  const click = () => {
    cancel();
    onValidate();
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Modal, {
    show: show,
    tabIndex: "-1",
    dialogClassName: `${width != '' ? `modal-${width}` : ''}`
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal-content"
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal-header"
  }, /*#__PURE__*/React.createElement("h1", {
    className: "modal-title fs-5",
    id: "exampleModalLabel"
  }, title)), /*#__PURE__*/React.createElement("div", {
    className: "modal-body"
  }, content), /*#__PURE__*/React.createElement("div", {
    className: "modal-footer"
  }, !hideCancel && /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: "btn btn-secondary",
    onClick: cancel
  }, cancelLabel), /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: "btn btn-primary",
    onClick: click,
    disabled: validateDisabled
  }, validateLabel)))));
};
export default CustomModal;